Subject: Re: [Ntp] Antw: Re: Antw: [EXT] Re: Benjamin Kaduk's Discuss on draft-ietf-ntp-mode-6-cmds-09: (with DISCUSS and COMMENT)

From: Harlan Stenn <[email-masked]>
Date: Tue, 1 Sep 2020 05:23:06 -0700

On 8/31/2020 5:24 AM, Miroslav Lichvar wrote:
> en Mon, Aug 31, 2020 at 04:52:36AM -0700, Harlan Stenn wrote:
>> On 8/31/2020 4:32 AM, Miroslav Lichvar wrote:
>>> Yes, I agree it's possible, but there doesn't seem to be a good reason
>>> to do that.
>>
>> Likely true.  But even so, a good reason could present itself an I don't
>> see any compelling reason we should proactively limit this possibility.
> 
> A strong reason for not allowing responses authenticated with other
> keys is avoiding insecure configurations. We have discussed this
> before. I'd say most users that have enabled multiple symmetric keys
> in ntpd don't know they need to be limited to IP addresses to prevent
> the MITM attacks.

You're talking policy, and I'm talking mechanism.

>>> The additional configuration required to keep it secure is
>>> impractical.
>>
>> Really?  I can see how to do a straightforward implementation of this in
>> the Reference Implementation.
> 
> Why is it not implemented?

Nobody has done it yet?

-- 
Harlan Stenn <[email-masked]>
http://networktimefoundation.org - be a member!